Record "new" pages on User contributions
Closed, ResolvedPublic

Description

Author: artslave

Description:
[[Special:Contributions]] records minor (m) and most recent (top) contributions.
Would it be possible to list New (N) articles there -- articles which the user
created -- as on the Recent Changes page?

As a secondary idea, it would also be nice to be able to filter the
Contributions list to show all articles which the user created. Just a
nice-to-have for users reviewing their own contributions, but can also be useful
for tracking page-creation vandals.


Version: unspecified
Severity: enhancement

bzimport added a project: MediaWiki-Special-pages.Via ConduitNov 21 2014, 8:58 PM
bzimport added a subscriber: wikibugs-l.
bzimport set Reference to bz4150.
bzimport created this task.Via LegacyDec 3 2005, 1:25 AM
brion added a comment.Via ConduitDec 3 2005, 1:27 AM

Newness isn't currently tracked in the revision table.

bzimport added a comment.Via ConduitDec 28 2005, 9:53 PM

snoutwood wrote:

*** Bug 4406 has been marked as a duplicate of this bug. ***

bzimport added a comment.Via ConduitJan 2 2006, 1:19 PM

marco wrote:

That would be a nice job to do, but most nicest would be when it is possible to
make a whole page out of the data.

bzimport added a comment.Via ConduitJan 2 2006, 1:21 PM

robchur wrote:

That would be one bloody nasty query. I pity the bugger who writes that.

bzimport added a comment.Via ConduitJan 13 2006, 8:58 PM

avarab wrote:

*** Bug 4597 has been marked as a duplicate of this bug. ***

bzimport added a comment.Via ConduitJan 13 2006, 10:57 PM

rick.denatale wrote:

Bug 4597 is NOT a duplicate, it is asking for a way to filter
Special:Contributions to only show contributions which are the latest editions
of an article.

THIS bug is asking for something different, it asks for NEW articles (i.e.
created by the contributor) to be distinguished.

bzimport added a comment.Via ConduitJul 28 2006, 10:33 PM

dungodung wrote:

*** Bug 6847 has been marked as a duplicate of this bug. ***

bzimport added a comment.Via ConduitAug 20 2006, 5:20 PM

ayg wrote:

*** Bug 7077 has been marked as a duplicate of this bug. ***

bzimport added a comment.Via ConduitAug 21 2006, 4:31 AM

dto wrote:

patch for r16149 SpecialContributions.php to show page creations

Attached patch gets information about page creations from recent changes, so
only recently created pages will get an "N" next to them. I'm hoping this will
be enough for dealing with vandalism.

Finding all page creations, even if they have been deleted from recent changes,
would either require tracking "newness", which, as Brion points out, isn't done
yet, or it would require a relatively expensive (I think?) GROUP BY query.

Attached: specialcontrib.diff

bzimport added a comment.Via ConduitApr 11 2007, 2:38 AM

robchur wrote:

*** Bug 9555 has been marked as a duplicate of this bug. ***

bzimport added a comment.Via ConduitAug 27 2007, 3:57 AM

ayg wrote:

The patch is outdated and can't be applied as-is, since SpecialContributions has been rewritten since it was created. Also, the modification to the query is unacceptable: it joins each revision to *every* row corresponding to it in recentchanges, causing many extra rows to be returned. That makes even the recentchanges solution somewhat nontrivial, or at least no way of avoiding that efficiently comes immediately to mind. There probably is some way, but I can't think of it . . .

aaron added a comment.Via ConduitApr 6 2008, 4:03 PM

(In reply to comment #11)

The patch is outdated and can't be applied as-is, since SpecialContributions
has been rewritten since it was created. Also, the modification to the query
is unacceptable: it joins each revision to *every* row corresponding to it in
recentchanges, causing many extra rows to be returned. That makes even the
recentchanges solution somewhat nontrivial, or at least no way of avoiding that
efficiently comes immediately to mind. There probably is some way, but I can't
think of it . . .

Hmm, isn't there a user_text, timestamp index for recentchanges? Perhaps that can be to limit the row scanning needed for the join. Then the rc_this_oldid and rc_type condition can be checked on like 1-2 rows.

aaron added a comment.Via ConduitApr 6 2008, 4:08 PM

Actually, why not start with RC and join on revision?

brion added a comment.Via ConduitApr 7 2008, 8:41 PM

Joining to recentchanges is going to limit you to activity within the $wgRCmaxage limit. If you want this to be more generally useful, it's probably necessary to extend the fields in the revision table.

In theory you could just check for empty rev_parent_id, but this field is still unused afaik. :(

aaron added a comment.Via ConduitApr 7 2008, 10:40 PM

(In reply to comment #14)

Joining to recentchanges is going to limit you to activity within the
$wgRCmaxage limit. If you want this to be more generally useful, it's probably
necessary to extend the fields in the revision table.

In theory you could just check for empty rev_parent_id, but this field is still
unused afaik. :(

A few changes to the Revision code, and it can be populated. I may whip up a maintenance script if someone cares (which would assume first=new). I thought about doing this before but always thought roman would come back and finish...didn't happen ;)

Add Comment